Home > Editeurs WYSIWYG avant SPIP 1.9 > Mise à jour “Intégration de FCKeditor pour SPIP...” ---> en version (...)

Mise à jour “Intégration de FCKeditor pour SPIP...” ---> en version 2.1.1

Monday 14 November 2005

Mise à jour de la version de FCKeditor en 2.1.1. A télécharger sur la même page.
Attention, il y a maintenant deux archives à télécharger :

-  FCKEditor (adapté à SPIP)
-  Un fichier de patch correspondant à votre version de SPIP

Les deux sont indépendants.


View online : Intégration de l’éditeur Wysiwyg FCKEDITOR à SPIP

38476 discussions

  • 2
    Etienne

    Bonjour,
    J’essaie de passer mon site en spip4. J’ai pu activer le plugin séances en modifiant le fichier paquet.xml avec compatibilite=“[3.0.0;4.0.*]”
    Je retrouve bien mes séances comme il faut et l’affichage de mon site public est correct.
    Mais je ne peux pas ajouter de nouvelle séance à un article. Au moment de l’enregistrement de la séance j’ai le message d’erreur : seance_edit : Accès interdit
    Je ne peux pas non plus créer de nouvel endroit : une fois cliqué sur “icône créer endroit”, j’ai un cadre avec marqué “sans titre” mais rien d’autre qui permette d’ajouter quoi que ce soit ni d’enregistrer.
    Bref, est-il prévu une version pour spip4.0 ? J’ai lu quelque part que spip3.2 ne sera plus supporté dans quelques mois et j’essaie d’anticiper.
    Merci ! et Bon courage !

    Reply to this message

  • Bonjour,
    Avec la version GIS 4.54.1 - stable + GIS BAN 0.0.6 - stable, sous SPIP 3.2.16 avec squelette Sarka-SPIP 3.4.10 [119880] => https://laccreteil.fr , vous constaterez que le moteur de recherche en haut à droite de la fenêtre ne fonctionne pas. (Tests avec Safari et Firefox)
    Bravo pour la possibilité d’utiliser les couches IGN!
    Merci.

    Reply to this message

  • Hello,

    Intéressant comme plugin :)

    Il devrait être possible d’obtenir un résultat similaire sans avoir à ajouter une colonne supplémentaire sur toutes les tables, et sans cron.

    La fonction RAND() de Mysql accepte une seed en paramètre pour avoir de l’aléatoire “fixe” :

    One implication of this behavior is that for equal argument values, RAND(N) returns the same value each time, and thus produces a repeatable sequence of column values.

    En donnant la clé primaire comme seed, pof, ça devrait le faire :

    SELECT
        rand(id_article) pseudo_hasard
    FROM
        spip_articles
    ORDER BY
        pseudo_hasard;

    Donc ça pourrait devenir un simple critère qui ajouterait cet alias au select des boucles.
    Je verrais bien ça en ajout au plugin Bonux d’ailleurs.

    Reply to this message

  • 2

    Bonjour,
    Je cherche à migrer mes sites en SPIP 4.1 (qui sont actuellement en 4.0 ou 3.2), et j’aimerais savoir s’il est prévu une compatibilité pour ce génial plugin ? D’ailleurs il me semble que SPIP 4.2 arrive très très bientôt (fin du mois ?)
    Un grand merci toujours, pour votre super travail collaboratif !

    Reply to this message

  • 1

    Bonjour, quelqun a t’il reussit à modifier le CSS de ce plugin. Il est top; mais la présentation grpahique avec un dessin de cookie, et un fond gris foncé, est vriament pas moderne et passe partout. Quelquechose de plus neutre de base serait top ( des radius plus leger style 5px, pas de dessin, des gris plus moyen etc..).

    • Bonjour,
      Oui, déjà si tu choisis la position haute ou basse, tu n’as plus les cookies, mais au-delà de ça, tu peux surcharger le CSS comme j’ai fait pour changer les couleurs, ajouter du radius, améliorer les margin en responsive…
      Ou sinon, une option de la configuration te permet de le désactiver totalement, avec un peu plus de boulot pour repartir de zéro, mais ça peut se faire !
      Bonne journée

    Reply to this message

  • Reply to this message

  • 2

    Bonjour,

    Lors de l’affichage du tableau de réponses ou d’un export CSV, le fichier contient bien :

    • tous les champs Formidable
    • le statut de la réponse
    • la date d’enregistrement du formulaire
    • le #ID_FORMULAIRE_REPONSE
    • mais pas l’Utilisateur / Adresse IP / Auteur

    On pourrait contourner ce manque en ajoutant un champ caché dans le formulaire qui enregistrerait l’Utilisateur / Adresse IP, mais quelle est la syntaxe qui permettrait de la faire : genre @nom_auteur@ ?

    Merci,
    François

    Reply to this message

  • 1

    Bonjour,
    Je teste le passage de SPIP 3.2 à SPIP 4 et lorsque full agenda est activé en SPIP 4 il y a l’erreur sur une page article (privé et public) qui liste des évènements :

             Erreur SQL 1064
    You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'agendafull 'date_fin') AND ((evenements.id_article NOT IN (SELECT * FROM( SELEC' at line 5
    SELECT evenements.date_debut, evenements.horaire, evenements.date_fin, evenements.timezone_affiche, evenements.id_evenement, evenements.titre, evenements.descriptif, L1.id_rubrique, evenements.id_article, evenements.id_article, evenements.id_evenement FROM spip_evenements AS `evenements` INNER JOIN spip_articles AS L1 ON ( L1.id_article = evenements.id_article ) WHERE (evenements.statut = 'publie') AND (evenements.date_debut agendafull 'date_fin') AND ((evenements.id_article NOT IN (SELECT * FROM( SELECT zzza.id_article FROM spip_articles as zzza WHERE 0=1) AS subquery)) AND 0=0) ORDER BY evenements.date_debut
            /var/www/html/site/ecrire/public/composer.php        calculer_select(){ sql_select(); }

    J’ai le plugin agenda version 4.3.4 (en test).

    • Bonjour,

      j’arrive un peu tard et il se trouve que j’ai le même message d’erreur alors que je n’utilise pas ce plugin “Fullcalendar facile” qui ne doit donc pas être la cause.

      De mon côté je considère ce message comme a peu près normal dans la mesure où le critère “agendafull” est déprécié :
      Agenda 2.0 et ultérieur

      Par ailleurs je constate que ce message n’apparait que si je vais voir le site public en même temps que je suis authentifié sur la partie privée. Ce message ne doit donc pas impacter les simples visiteurs.

    Reply to this message

  • 7

    Bonjour,

    Merci pour ce superbe plugin !!... Est-ce qu’une mise-à-jour est prévue pour la version 4.0 de spip ?

    • Bonjour, la compatibilité spip4.0 est prévue ?

    • Bonjour, même question ;)

    • Bonjour,

      Je viens de changer la borne du paquet.xml en 4.0.* et cela fonctionne en local!... Je continue les test avant de migrer le site en distant!...

    • Bon, je recommence.... Les objets aliasés fonctionnent mais impossible de créer un nouvel alias!..

      Fatal error: Uncaught Error: Call to undefined function insert_article() in D:\xampp\htdocs\spip\plugins\auto\alias\action\aliaser.php:27 Stack trace: #0 D:\xampp\htdocs\spip\plugins\auto\alias\action\aliaser.php(57): alias_aliaser_objet(4007) #1 D:\xampp\htdocs\spip\ecrire\public\aiguiller.php(77): action_aliaser_dist() #2 D:\xampp\htdocs\spip\ecrire\index.php(72): traiter_appels_actions() #3 {main} thrown in D:\xampp\htdocs\spip\plugins\auto\alias\action\aliaser.php on line 27
    • Bonjour Kingrise,
      tu as des résultats qui portent leurs fruits ?
      J’avoue qu’à part changer la borne, je ne serais pas capable de faire grand-chose de plus ;)

    • Non, malheureusement... J’attends que le dev se manifeste....

    • Bonjour, la compatibilité 4.1 est prévue ? Merci !

    Reply to this message

  • Bonjour,

    je voudrais soulever un bug avec le plugin et l’url canonique. Pour 2 pages, tout se passe bien. Par contre, j’ai un soucis d’url canonique pour deux autres qui indiquent :

    https://monsite.fr/spip.php?page=rubrique&id_rubrique=-1

    D’où cela peut-il venir ? J’ai beau changer l’url ça ne change rien.

    Reply to this message

Any message or comments?

Avant de faire part d’un problème sur un plugin X, merci de lire ce qui suit :

  • Désactiver tous les plugins que vous ne voulez pas tester afin de vous assurer que le bug vient bien du plugin X. Cela vous évitera d’écrire sur le forum d’une contribution qui n’est finalement pas en cause.
  • Cherchez et notez les numéros de version de tout ce qui est en place au moment du test :
    • version de SPIP, en bas de la partie privée
    • version du plugin testé et des éventuels plugins nécessités
    • version de PHP (exec=info en partie privée)
    • version de MySQL / SQLite / PostgreSQL
  • Si votre problème concerne la partie publique de votre site, donnez une URL où le bug est visible, pour que les gens puissent voir par eux-mêmes.
  • En cas de page blanche, merci d’activer l’affichage des erreurs, et d’indiquer ensuite l’erreur qui apparait.

Merci d’avance pour les personnes qui vous aideront !

Par ailleurs, n’oubliez pas que les contributeurs et contributrices ont une vie en dehors de SPIP.

Who are you?
[Log in]

To show your avatar with your message, register it first on gravatar.com (free et painless) and don’t forget to indicate your Email addresse here.

Enter your comment here

This form accepts SPIP shortcuts {{bold}} {italic} -*list [text->url] <quote> <code> and HTML code <q> <del> <ins>. To create paragraphs, just leave empty lines.

Add a document